Summary:       Libraries to move files to a trash-folder on delete
Name:          libtrash
Version:       3.2
Release:       6%{dist} 
Group:         System Environment/Libraries
License:       GPLv2+
URL:           http://pages.stern.nyu.edu/~marriaga/software/libtrash
Source:        http://pages.stern.nyu.edu/~marriaga/software/libtrash/%{name}-%{version}.tgz
Patch0:        libtrash-3.2-defaults.patch
Patch1:        libtrash-3.2-makefile.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl, python

%description
Libtrash is the shared library which, when preloaded, implements a trash
can under GNU/Linux. Through the interception of function calls which 
might lead to accidental data loss libtrash effectively ensures that your 
data remains protected from your own mistakes.

%package devel
Summary: Libraries to move files to a trash-folder on delete
Group: Development/Libraries
License: GPLv2+
Requires: libtrash = %{version}-%{release}

%description devel
This package contains the libtrash.so dynamic library which, when preloaded,
implements a trash can under GNU/Linux.

%prep
%setup -q
%patch0 -p1 -b .defaults
%patch1 -p1 -b .makefile

%build
CFLAGS=$RPM_OPT_FLAGS make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}}

make install INSTLIBDIR=$RPM_BUILD_ROOT%{_libdir} SYSCONFFILE=$RPM_BUILD_ROOT%{_sysconfdir}/libtrash.conf

rm -f $RPM_BUILD_ROOT/%{_libdir}/libattr.so.3
ln -sf libtrash.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libtrash.so.3

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO COPYING CHANGE.LOG config.txt 
%attr(644, root, root) %{_sysconfdir}/libtrash.conf
%config(noreplace) %{_sysconfdir}/libtrash.conf
%{_libdir}/libtrash.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libtrash.so
%doc README TODO COPYING CHANGE.LOG config.txt 

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 15 2008 Zdenek Prikryl <zprikryl@redhat.com> 3.2-5
- Fixed permissions on config file

* Wed Jul 09 2008 Zdenek Prikryl <zprikryl@redhat.com> 3.2-4
- Added documentation to devel package
- Minor spec clean up

* Wed Jul 02 2008 Zdenek Prikryl <zprikryl@redhat.com> 3.2-3
- Create devel package

* Thu Jul 01 2008 Zdenek Prikryl <zprikryl@redhat.com> 3.2-2
- Package for Fedora 10

* Thu Mar 06 2008 Zdenek Prikryl <zprikryl@redhat.com> 3.2-1
- Package for Fedora 9

